#ifndef ARGUMENTOS_HPP
#define ARGUMENTOS_HPP

/*--------------------------------------------------------------------------------------------------------------
 * INCLUDES
 *-------------------------------------------------------------------------------------------------------------*/
#include "utils.hpp"

namespace bp
{

/*--------------------------------------------------------------------------------------------------------------
 * PUBLIC TYPES
 *-------------------------------------------------------------------------------------------------------------*/
typedef MStr_t									ty_args;

/*--------------------------------------------------------------------------------------------------------------
 * CLASS : ARGUMENTOS
 *-------------------------------------------------------------------------------------------------------------*/
class Argumentos
{
	/*--------------------------------------------------------------------------------------------------------------
	* PRIVATE ATTRIBUTES
	*--------------------------------------------------------------------------------------------------------------*/
    private:        
        int32_t                                                 argc;
        ty_args													argv;                
        
	/*--------------------------------------------------------------------------------------------------------------
	* PUBLIC METHODS
	*--------------------------------------------------------------------------------------------------------------*/
    public:
								Argumentos						(int32_t e_argc, char* e_argv[]);
								~Argumentos						() {}          
        int32_t 				GetArgc							() { return argc; }
        ty_args					GetArgv							() { return argv; }
        
};

} // namespace bp

#endif // ARGUMENTOS_HPP
